Add more comments in

This commit is contained in:
g0tmi1k 2016-10-26 12:07:20 +01:00
parent bd3cac3bb6
commit 9a1da54ee2

View file

@ -7,8 +7,8 @@
## NOTE:
# Exit code '0' means finished normally
# Exit code '1' means something went wrong
# Exit code '2' means finished help screen
# Exit code '6' means updated from GitHub
# Exit code '2' means help screen
# Exit code '6' means updated exploitdb package (deb or git)
## OS settings (get the path of where the script is stored + database file)
@ -110,9 +110,9 @@ function updatedeb()
echo -e '[i] Updating via package management. Expect weekly-ish updates.\n'
sudo apt update \
|| echo -e '\n[!] Issue with apt update (Please check network connectivity & apt SourcesList)' 1>&2
|| echo -e '\n[-] Issue with apt update (Please check network connectivity & APT SourcesList values)' 1>&2
sudo apt -y install exploitdb \
|| echo -e '\n[!] Issue with apt install' 1>&2
|| echo -e '\n[-] Issue with apt install' 1>&2
echo -e "\n[*] Update finished."
exit 6
@ -318,7 +318,7 @@ if [[ "${GETPATH}" -eq 1 ]]; then
fi
## If we are doing an exact match, do not check folder path.
## If we are doing an exact match, do not check folder path (Implies "-t").
if [[ "${EXACT}" -eq 1 ]]; then
FILEPATH=0
fi
@ -371,6 +371,7 @@ if [[ "${EXACT}" -eq 1 ]]; then
if [[ "${SCASE}" -eq 1 ]]; then
SEARCH="${TAGS}"
else
## Case insensitive
SEARCH="$( echo ${TAGS} | tr '[:upper:]' '[:lower:]' )"
fi
@ -390,7 +391,7 @@ else
COLOUR_TAG="${COLOUR_TAG}${tag}"
fi
## Search both title and path?
## Search both title AND path?
if [[ "${FILEPATH}" -eq 1 ]]; then
## Is there a value already?
if [[ "${SEARCH}" ]]; then